Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sax.builder
Interface LinkedSAXPipelineStarterBuilder

    public interface LinkedSAXPipelineStarterBuilder

Version:
  $Id: LinkedSAXPipelineStarterBuilder.java 1044286 2010-12-10 11:05:47Z simonetripodi $

Method Summary
`LinkedSAXPipelineComponentBuilder` | `setByteArrayGenerator(byte[] bytes)`
`LinkedSAXPipelineComponentBuilder` | `setByteArrayGenerator(byte[] bytes, String encoding)`
`LinkedSAXPipelineComponentBuilder` | `setFileGenerator(File file)`
`LinkedSAXPipelineComponentBuilder` | `setInputStreamGenerator(InputStream inputStream)`
`LinkedSAXPipelineComponentBuilder` | `setNodeGenerator(Node node)`
`LinkedSAXPipelineComponentBuilder` | `setSAXBufferGenerator(org.apache.cocoon.xml.sax.SAXBuffer saxBuffer)`
`
`<SPC extends SAXPipelineComponent> LinkedSAXPipelineComponentBuilder`
` | `setStarter(SPC starter)`
`LinkedSAXPipelineComponentBuilder` | `setStringGenerator(String xmlString)`
`LinkedSAXPipelineComponentBuilder` | `setURLGenerator(URL url)`

Method Detail

### setByteArrayGenerator

    LinkedSAXPipelineComponentBuilder setByteArrayGenerator(byte[] bytes)

### setByteArrayGenerator

    LinkedSAXPipelineComponentBuilder setByteArrayGenerator(byte[] bytes,
                                                            String encoding)

### setFileGenerator

    LinkedSAXPipelineComponentBuilder setFileGenerator(File file)

### setInputStreamGenerator

    LinkedSAXPipelineComponentBuilder setInputStreamGenerator(InputStream inputStream)

### setNodeGenerator

    LinkedSAXPipelineComponentBuilder setNodeGenerator(Node node)

### setSAXBufferGenerator

    LinkedSAXPipelineComponentBuilder setSAXBufferGenerator(org.apache.cocoon.xml.sax.SAXBuffer saxBuffer)

### setStringGenerator

    LinkedSAXPipelineComponentBuilder setStringGenerator(String xmlString)

### setURLGenerator

    LinkedSAXPipelineComponentBuilder setURLGenerator(URL url)

### setStarter

    <SPC extends SAXPipelineComponent> LinkedSAXPipelineComponentBuilder setStarter(SPC starter)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.